import { RestApiClient } from './rest-api-client/rest-api-client';
import { ChangeRequestCreateParams } from './websocket-clinet/internal/request';
import { WebsocketClient } from './websocket-clinet/websocket-client';
export declare class ScrapboxClient {
    private readonly user;
    private readonly project;
    private readonly apiClient;
    private readonly websocketClient;
    constructor(user: Readonly<{
        id: string;
        name: string;
    }>, project: Readonly<{
        id: string;
        name: string;
    }>, apiClient: RestApiClient, websocketClient: WebsocketClient);
    getCurrentUser(): {
        id: string;
        name: string;
    };
    getCurrentProject(): {
        id: string;
        name: string;
    };
    getPage(pageName: string): Promise<import(".").Page>;
    changeLine(pageName: string, change: ChangeRequestCreateParams | ChangeRequestCreateParams[]): Promise<import("./websocket-clinet/internal/message").ParsedMessage>;
    private getPageIdAndCommitId;
    private commit;
}
